org.apache.ignite.internal.processors.igfs

## Class IgfsModeResolver

- java.lang.Object
- - org.apache.ignite.internal.processors.igfs.IgfsModeResolver

    public class IgfsModeResolver
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`IgfsModeResolver(IgfsMode dfltMode, List<T2<IgfsPath,IgfsMode>> modes)`

### Method Summary

Methods
`List<T2<IgfsPath,IgfsMode>>` `modesOrdered()`
`Set<IgfsMode>` `resolveChildrenModes(IgfsPath path)`
`IgfsMode` `resolveMode(IgfsPath path)` Resolves IGFS mode for the given path.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgfsModeResolver

    public IgfsModeResolver(IgfsMode dfltMode,
                    @Nullable
                    List<T2<IgfsPath,IgfsMode>> modes)

Parameters:
  `dfltMode` - Default IGFS mode.
  `modes` - List of configured modes.

### Method Detail

#### resolveMode

    public IgfsMode resolveMode(IgfsPath path)

Resolves IGFS mode for the given path.

Parameters:
  `path` - IGFS path.
Returns:
  IGFS mode.

#### resolveChildrenModes

    public Set<IgfsMode> resolveChildrenModes(IgfsPath path)

Parameters:
  `path` - Path.
Returns:
  Set of all modes that children paths could have.

#### modesOrdered

    @Nullable
    public List<T2<IgfsPath,IgfsMode>> modesOrdered()

Returns:
  Unmodifiable copy of properly ordered modes prefixes or `null` if no modes set.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015